%define name	wmcoincoin
%define Summary	WindowMaker dock application for linuxfr-addicted people
%define version	2.5.1
%define pre	d
%define release	%mkrel 0.%{pre}.2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{Summary}
License:	GPL
Source0:	http://ufpr.dl.sourceforge.net/sourceforge/dacode/%{name}-%{version}%{pre}.tar.bz2
Source11:	%{name}-icon-16.png
Source12:	%{name}-icon-32.png
Source13:	%{name}-icon-48.png
URL:		http://hules.free.fr/wmcoincoin/wmcoincoin.html
Group:		Networking/Chat
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gtk2-devel
BuildRequires:	imlib2-devel
BuildRequires:	freetype-devel

%description
Funny dockapp for browsing DaCode sites news and board
WMcoincoin allows you to browse linuxfr.org, and any other site based
on DaCode 1.2+. It handles:

* the website news scrolling, warning of new ones, and with an ability
  to display them in a window;
* the private messages, bringing to the appropriate webpage when you
  receive new ones;
* tabbed browsing of multiple DaCode or Templeet sites;
* the board, with ability to view the contents and post messages,
  featuring advanced functions designed to detect, enhance or kill
  the trolls.
  
WMcoincoin, while being full of stupid things, is a real advanced
chatting client, working all over HTTP, with a low bandwidth
consumption.


%description -l fr
La fonctionnalité centrale (le gros bouton rouge), permet de poster "coin
coin!" sur la tribune libre. Autour de ce bouton, différentes fonctionnalités
annexes gravitent:
* Affichage de l'heure du dernier post sur la tribune
* Affichage défilant des titres des dernières news de DaLinuxFrenchPage
  Visionnage du contenu des news (sans les commentaires)
* Trollometre incorporé, de qualité professionnelle.
* Un véritable Trolloscope d'un modèle proche de celui qui équipe les services
  secrets chinois.
* Des ballons d'aide pour toujours plus de convivialité.
* Des stats sur le nombre de personnes qui fréquentent la tribune.
* Le Palmipède Editor qui permet d'éditer le messages/useragent à poster avec
  un confort maximal.
* Une fonction flamophone, parce que vous le valez bien.
* Le Pinnipède Télétype, un véritable outil de décideur.

%prep
%setup -q -n %{name}-%{version}%{pre}

%build
%configure
%make

%install
rm -rf %{buildroot}
perl -pi -e 's/README\ wmcoincoin.spec//' Makefile

%makeinstall
%find_lang %{name}

install -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png


mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Wmcoincoin
Comment=%{Summary}
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=GTK;X-MandrivaLinux-Internet-Chat;
Encoding=UTF-8
EOF

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README NEWS AUTHORS ChangeLog
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png



%changelog
* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 2.5.1-0.d.2mdv2009.0
+ Revision: 218426
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix description-line-too-long
    - drop old menu

* Thu Jan 03 2008 Olivier Blin <oblin@mandriva.com> 2.5.1-0.d.2mdv2008.1
+ Revision: 140932
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - import wmcoincoin


* Fri Aug 25 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.5.1-0.d.2mdv2007.0
- fix summary macro use in menu
- fix group
- xdg menu
- cleanups

* Mon Mar 20 2006 Nicolas Lécureuil <neoclust@mandriva.org> 2.5.1-0.d.1mdk
- 2.5.1d
- Use mkrel

* Tue Sep 27 2005 Pascal Terjan <pterjan@mandriva.org> 2.5.1-0.c.1mdk
- 2.5.1c 

* Fri Jul 22 2005 Nicolas Lécureuil <neoclust@mandriva.org> 2.5.0-0.g.1mdk
- 2.5.0g

* Wed Mar 09 2005 Laurent Culioli <laurent@mandrake.org> 2.5.0-0.f.1mdk
- 2.5.0f ( _NON_ )

* Mon May 17 2004 Laurent Culioli <laurent@mandrake.org> 2.5.0-0.c.1mdk
- 2.5.0c ( Ségolène Edition )
- drop wmncoincoin-kde
- clean spec

* Sun Apr 18 2004 Laurent Culioli <laurent@pschit.net> 2.5.0-0.b.1mdk
- 2.5.0b ( Charles Bronson Advanced Server Edition )

* Fri Sep 05 2003 Laurent Culioli <laurent@pschit.net> 2.4.6-0.b.3mdk
- Patch0 :  update breizh tribiuoune preconfig ( by da famous britton
  drunken sailor : olo< )

* Wed Aug 27 2003 Laurent Culioli <laurent@pschit.net> 2.4.6-0.b.2mdk
- fix changelog ( /me sux)
- buildrequires freetype-devel

* Wed Aug 27 2003 Laurent Culioli <laurent@pschit.net> 2.4.6-0.b.1mdk
- 2.4.7a ( kitten edition )

* Tue Jul 29 2003 Laurent Culioli <laurent@pschit.net> 2.4.6-0.a.1mdk
- 2.4.6a

* Mon Jun 30 2003 Laurent Culioli <laurent@pschit.net> 2.4.5-0.b.1mdk
- 2.4.5b

* Mon Jun 23 2003 Laurent Culioli <laurent@pschit.net> 2.4.5-0.a.1mdk
- 2.4.5a ( plouf dans la piscine )

* Wed Mar 12 2003 Laurent Culioli <laurent@pschit.net> 2.4.4-0.c.1mdk
- 2.4.4c ( post-virus-tribune effect )

* Tue Mar 11 2003 Laurent Culioli <laurent@pschit.net> 2.4.4-0.b.1mdk
- 2.4.4b
- small cleanup

* Sun Mar 02 2003 Laurent Culioli <laurent@pschit.net> 2.4.4-0.a.1mdk
- 2.4.4a

* Thu Jan 23 2003 Laurent Culioli <laurent@pschit.net> 2.4.3-0.c.2mdk
- rebuild .... with correct Vendor

* Thu Jan 23 2003 Laurent Culioli <laurent@pschit.net> 2.4.3-0.c.1mdk
- 2.4.3c ( dyno patch )

* Sat Jan 18 2003 Laurent Culioli <laurent@pschit.net> 2.4.3-0.b.3mdk
- use perl to fix unpackaged files instead Nanar-goret-mode
- fix Nanar changelog :)

* Sat Jan 18 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.4.3-0.b.2mdk
- fix unpackaged files ( Houpla suXXXXXXX !!)

* Sun Jan 12 2003 Laurent Culioli <laurent@pschit.net> 2.4.3-0.b.1mdk
- 2.4.3b ( stats de follaille et de qualitai )
- BuildRequires

* Sat Jan 11 2003 Laurent Culioli <laurent@pschit.net> 2.4.3-0.a.1mdk
- 2.4.3a ( bananier et pommes sautées )

* Fri Dec 21 2002 Laurent Culioli <laurent@pschit.net> 2.4.2-0.b.1mdk
- 2.4.2b ( FP sux )

* Sat Nov 30 2002 Laurent Culioli <laurent@pschit.net> 2.4.2-0.a.1mdk
- 2.4.2a ( couvercle de chiottes ? :p )

* Thu Oct 17 2002 Laurent Culioli <laurent@pschit.net> 2.4.1-0.a.1mdk
- bump to 2.4.1a
- add Changelog in %%doc

* Sun Sep 08 2002 Laurent Culioli <laurent@pschit.net.net> 2.4.0-0.c.1mdk
- bump to 2.4.0c

* Sun Sep 08 2002 Laurent Culioli <laurent@pschit.net.net> 2.4.0-0.b.1mdk
- bump to 2.4.0b

* Sat Sep 07 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.4.0-0.a.4mdk
- kde-specific menu for wmcoincoin-kde
- more macros
- once again directory ownership fixed
- spec cleanup
- prerelease naming schme
- tu vas l'avoir ta putain d'guerre

* Sat Sep 07 2002 Laurent Culioli <laurent@mandrakesoft.com> 2.4.0a-3mdk
- menuification of the canard ( thx to g.rousse )

* Sat Sep 07 2002 Laurent Culioli <laurent@mandrakesoft.com> 2.4.0a-2mdk
- update description ( many changes in canard , wmccc , multi tab ...)
  stolen from jarjar deb package.
- make ménage in %%{_datadir}

* Sat Sep 07 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.4.0a-1mdk
- 2.4.0a
- removed hardcoded packager tag (usurpateur !)
- directory ownership fixed

* Tue Jun  4 2002 Laurent Culioli <laurent@mandrakesoft.com> 2.3.8b-1mdk
- 2.3.8b

* Sat Jun 1 2002 Laurent Culioli <laurent@mandrakesoft.com> 2.3.8a-1mdk
- 2.3.8a
- add wmpanpan

* Thu Apr 18 2002 Laurent Culioli <laurent@mandrakesoft.com> 2.3.7b-1mdk
- 2.3.7b 

* Thu Apr 18 2002 Laurent Culioli <laurent@mandrakesoft.com> 2.3.7a-1mdk
- 2.3.7a with new slip and boitakon powered

* Thu Mar 28 2002 Laurent Culioli <laurent@mandrakesoft.com> 2.3.6f-1mdk
- 2.3.6f ( hyper-calecon )

* Thu Mar 28 2002 Laurent Culioli <laurent@mandrakesoft.com> 2.3.6-5-1mdk
- 2.3.6-5

* Sat Mar 9 2002 Laurent Culioli <laurent@mandrakesoft.com> 2.3.6-1mdk
- 2.3.6

* Sun Mar 3 2002 Laurent Culioli <laurent@mandrakesoft.com> 2.3.5-1mdk
- 2.3.5 

* Mon Jan 21 2002 Laurent Culioli <laurent@mandrakesoft.com> 2.3.4-1mdk
- update to 2.3.4 ( moules powered )

* Sat Nov 03 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.2-0.beta.1mdk
- first Mandrake release, with a spec file shamefully stolen to Julien <jul@dr.com>
